summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorw0rp <devw0rp@gmail.com>2023-02-07 18:41:13 +0000
committerw0rp <devw0rp@gmail.com>2023-02-07 18:41:13 +0000
commitda5fa17df1182c3a4a30cc537b21df981f9bf93c (patch)
tree8a12c6b799223ad3f36b8f82b3fe2ac8c9ee485d
parente1ae009bac98d4c2a80ed8f70f68b75dab3bc478 (diff)
downloadale-da5fa17df1182c3a4a30cc537b21df981f9bf93c.zip
Fix broken tag references and the broken script to check them
-rw-r--r--doc/ale-c.txt2
-rw-r--r--doc/ale-cpp.txt2
-rw-r--r--doc/ale.txt2
-rwxr-xr-xtest/script/check-tag-references12
4 files changed, 13 insertions, 5 deletions
diff --git a/doc/ale-c.txt b/doc/ale-c.txt
index 29933861..0f4b1b01 100644
--- a/doc/ale-c.txt
+++ b/doc/ale-c.txt
@@ -168,7 +168,7 @@ g:ale_c_cc_header_exts *g:ale_c_cc_header_exts*
considered as header files.
This variable is only used when `'-x c-header'` is used instead of `'-x c'`,
- see |ale_c_cc_use_header_lang_flag|.
+ see |g:ale_c_cc_use_header_lang_flag|.
===============================================================================
diff --git a/doc/ale-cpp.txt b/doc/ale-cpp.txt
index 1ed6d371..3682556d 100644
--- a/doc/ale-cpp.txt
+++ b/doc/ale-cpp.txt
@@ -97,7 +97,7 @@ g:ale_cpp_cc_header_exts *g:ale_cpp_cc_header_exts*
considered as header files.
This variable is only used when `'-x c++-header'` is used instead of `'-x c++'`,
- see |ale_cpp_cc_use_header_lang_flag|.
+ see |g:ale_cpp_cc_use_header_lang_flag|.
===============================================================================
diff --git a/doc/ale.txt b/doc/ale.txt
index ae783761..afaf098c 100644
--- a/doc/ale.txt
+++ b/doc/ale.txt
@@ -17,7 +17,7 @@ CONTENTS *ale-contents*
5.1 Completion........................|ale-completion|
5.2 Go To Definition..................|ale-go-to-definition|
5.3 Go To Type Definition.............|ale-go-to-type-definition|
- 5.4 Go To Implementation..............|ale-go-to-type-implementation|
+ 5.4 Go To Implementation..............|ale-go-to-implementation|
5.5 Find References...................|ale-find-references|
5.6 Hovering..........................|ale-hover|
5.7 Symbol Search.....................|ale-symbol-search|
diff --git a/test/script/check-tag-references b/test/script/check-tag-references
index 45e741fb..5f17618e 100755
--- a/test/script/check-tag-references
+++ b/test/script/check-tag-references
@@ -7,16 +7,24 @@ tag_regex='[gb]\?:\?\(ale\|ALE\)[a-zA-Z_\-]\+'
tags="$(mktemp -t tags.XXXXXXXX)"
refs="$(mktemp -t refs.XXXXXXXX)"
+result="$(mktemp -t refs.XXXXXXXX)"
# Grep for tags and references, and complain if we find a reference without
# a tag for the reference. Only our tags will be included.
grep --exclude=tags -roh "\\*$tag_regex\\*" doc | sed 's/*//g' | sort -u > "$tags"
grep --exclude=tags -roh "|$tag_regex|" doc | sed 's/|//g' | sort -u > "$refs"
+# Collect tags in a file we can display to the user if there are differences.
+comm -23 "$refs" "$tags" > "$result"
+
exit_code=0
-if ! [[ $(comm -23 $refs $tags | wc -l) -eq 0 ]]; then
- exit_code=1
+# If there are differences, show them and error out.
+if ! [[ $(wc -l < "$result") -eq 0 ]]; then
+ cat "$result"
+ exit_code=1
fi
rm "$tags"
rm "$refs"
+rm "$result"
+exit $exit_code